import qs from 'qs';
import { CITY_SERVICE, get, PUBLISH_SERVICE, post, postForm } from '../index';

export const getWebModuleTree = userMode =>
  get(
    `${PUBLISH_SERVICE}/PlatformCenter/WebModuleTree?${qs.stringify({
      userMode,
    })}`,
  );

export const getWebConfigByName = webName =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetWebsite`, { title: webName });

export const getWebThemes = () =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetThemes`, { query: '' });

export const getLoginPage = () =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetLoginPage`, { query: '' });

export const getMapCofigs = () =>
  get(
    `${CITY_SERVICE}/OMS.svc/GetAllConfigText?terminalType=scheme&isBaseMap=false`,
    { query: '' },
  );

export const getWebconfig = title =>
  get(`${CITY_SERVICE}/OMS.svc/W4_GetWebsite`, { title });

export const postEditWebConfig = config =>
  post(
    `${CITY_SERVICE}/OMS.svc/W4_EditWebsite?_version=9999`,
    qs.stringify({ config: JSON.stringify(config) }),
    {
      headers: {
        'content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
      },
    },
  );
